import { BaseRegistry } from './BaseRegistry';
/**
 * 通用Service基类
 * @template K Registry内部Map的Key类型
 * @template V Registry内部Map的Value类型
 * @template R Registry类类型
 */
export declare abstract class BaseService<K extends string | symbol | number, V, R extends BaseRegistry<K, V>> {
    protected readonly suiteKey: SuiteKey;
    protected readonly registry: R;
    protected readonly suiteMap: Map<K, V>;
    constructor(suiteKey: SuiteKey, registry: R);
    /** 获取指定key的值 */
    get(key: K): V | undefined;
    /** 检查是否存在指定key */
    has(key: K): boolean;
    /** 获取当前套件下的所有值 */
    getAll(): V[];
}
